Skip to content

Assignment Items

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/assignment-items/ List Assignment Items
GET /api/assignment-items/{uuid}/ Retrieve
POST /api/assignment-items/ Create
PUT /api/assignment-items/{uuid}/ Update
PATCH /api/assignment-items/{uuid}/ Partial Update
DELETE /api/assignment-items/{uuid}/ Delete
Other Actions
GET /api/assignment-items/{uuid}/suggest_alternatives/ Suggest alternative reviewers for a declined assignment
POST /api/assignment-items/{uuid}/accept/ Accept this assignment item. Creates a Review record
POST /api/assignment-items/{uuid}/decline/ Decline this assignment item
POST /api/assignment-items/{uuid}/reassign/ Reassign this item to a different reviewer

Core CRUD

List Assignment Items

1
2
3
4
http \
  GET \
  https://api.example.com/api/assignment-items/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_item_o_enum import AssignmentItemOEnum # (1)
from waldur_api_client.models.assignment_item_status import AssignmentItemStatus # (2)
from waldur_api_client.api.assignment_items import assignment_items_list # (3)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_items_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: AssignmentItemOEnum
  2. Model Source: AssignmentItemStatus
  3. API Source: assignment_items_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { assignmentItemsList } from 'waldur-js-client';

try {
  const response = await assignmentItemsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
batch_uuid string (uuid)
call_uuid string (uuid)
has_coi boolean
min_affinity_score number (float)
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
proposal_uuid string (uuid)
reviewer_uuid string (uuid)
status array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
batch string (uri)
proposal string (uri)
proposal_uuid string (uuid)
proposal_name string
proposal_slug string
status any
status_display string
affinity_score number (double) Affinity score used for assignment (0-1).
has_coi boolean Whether COI was detected during pre-check.
coi_count integer Count of COI records blocking this assignment.
responded_at string (date-time)
decline_reason string Reason provided by reviewer for declining.
review string (uri) The Review record created when this assignment was accepted.
review_uuid string (uuid)
reassign_count integer Number of times this proposal has been reassigned.
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_items import assignment_items_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_items_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_items_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsRetrieve } from 'waldur-js-client';

try {
  const response = await assignmentItemsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
batch string (uri)
proposal string (uri)
proposal_uuid string (uuid)
proposal_name string
proposal_slug string
status any
status_display string
affinity_score number (double) Affinity score used for assignment (0-1).
has_coi boolean Whether COI was detected during pre-check.
coi_count integer Count of COI records blocking this assignment.
responded_at string (date-time)
decline_reason string Reason provided by reviewer for declining.
review string (uri) The Review record created when this assignment was accepted.
review_uuid string (uuid)
reassign_count integer Number of times this proposal has been reassigned.
created string (date-time)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-items/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_item_request import AssignmentItemRequest # (1)
from waldur_api_client.api.assignment_items import assignment_items_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AssignmentItemRequest()
response = assignment_items_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AssignmentItemRequest
  2. API Source: assignment_items_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { assignmentItemsCreate } from 'waldur-js-client';

try {
  const response = await assignmentItemsCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
decline_reason string Reason provided by reviewer for declining.

201 -

Field Type Description
url string (uri)
uuid string (uuid)
batch string (uri)
proposal string (uri)
proposal_uuid string (uuid)
proposal_name string
proposal_slug string
status any
status_display string
affinity_score number (double) Affinity score used for assignment (0-1).
has_coi boolean Whether COI was detected during pre-check.
coi_count integer Count of COI records blocking this assignment.
responded_at string (date-time)
decline_reason string Reason provided by reviewer for declining.
review string (uri) The Review record created when this assignment was accepted.
review_uuid string (uuid)
reassign_count integer Number of times this proposal has been reassigned.
created string (date-time)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_item_request import AssignmentItemRequest # (1)
from waldur_api_client.api.assignment_items import assignment_items_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AssignmentItemRequest()
response = assignment_items_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AssignmentItemRequest
  2. API Source: assignment_items_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsUpdate } from 'waldur-js-client';

try {
  const response = await assignmentItemsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
decline_reason string Reason provided by reviewer for declining.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
batch string (uri)
proposal string (uri)
proposal_uuid string (uuid)
proposal_name string
proposal_slug string
status any
status_display string
affinity_score number (double) Affinity score used for assignment (0-1).
has_coi boolean Whether COI was detected during pre-check.
coi_count integer Count of COI records blocking this assignment.
responded_at string (date-time)
decline_reason string Reason provided by reviewer for declining.
review string (uri) The Review record created when this assignment was accepted.
review_uuid string (uuid)
reassign_count integer Number of times this proposal has been reassigned.
created string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_assignment_item_request import PatchedAssignmentItemRequest # (1)
from waldur_api_client.api.assignment_items import assignment_items_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedAssignmentItemRequest()
response = assignment_items_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedAssignmentItemRequest
  2. API Source: assignment_items_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsPartialUpdate } from 'waldur-js-client';

try {
  const response = await assignmentItemsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
decline_reason string Reason provided by reviewer for declining.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
batch string (uri)
proposal string (uri)
proposal_uuid string (uuid)
proposal_name string
proposal_slug string
status any
status_display string
affinity_score number (double) Affinity score used for assignment (0-1).
has_coi boolean Whether COI was detected during pre-check.
coi_count integer Count of COI records blocking this assignment.
responded_at string (date-time)
decline_reason string Reason provided by reviewer for declining.
review string (uri) The Review record created when this assignment was accepted.
review_uuid string (uuid)
reassign_count integer Number of times this proposal has been reassigned.
created string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_items import assignment_items_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_items_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_items_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsDestroy } from 'waldur-js-client';

try {
  const response = await assignmentItemsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Suggest alternative reviewers for a declined assignment

Suggest alternative reviewers for a declined assignment.

1
2
3
4
http \
  GET \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/suggest_alternatives/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_items import assignment_items_suggest_alternatives_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_items_suggest_alternatives_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_items_suggest_alternatives_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsSuggestAlternativesRetrieve } from 'waldur-js-client';

try {
  const response = await assignmentItemsSuggestAlternativesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
suggestions array of objects List of alternative reviewers with affinity scores

Accept this assignment item. Creates a Review record

Accept this assignment item. Creates a Review record.

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/accept/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_items import assignment_items_accept # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_items_accept.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_items_accept
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsAccept } from 'waldur-js-client';

try {
  const response = await assignmentItemsAccept({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
detail string
review_uuid string (uuid) UUID of created review (only on accept)

Decline this assignment item

Decline this assignment item.

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/decline/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_item_decline_request import AssignmentItemDeclineRequest # (1)
from waldur_api_client.api.assignment_items import assignment_items_decline # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AssignmentItemDeclineRequest()
response = assignment_items_decline.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AssignmentItemDeclineRequest
  2. API Source: assignment_items_decline
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentItemsDecline } from 'waldur-js-client';

try {
  const response = await assignmentItemsDecline({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
reason string Reason for declining this assignment

200 -

Field Type Description
detail string
review_uuid string (uuid) UUID of created review (only on accept)

Reassign this item to a different reviewer

Reassign this item to a different reviewer.

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/assignment-items/a1b2c3d4-e5f6-7890-abcd-ef1234567890/reassign/ \
  Authorization:"Token YOUR_API_TOKEN" \
  reviewer_pool_entry_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reassign_item_request import ReassignItemRequest # (1)
from waldur_api_client.api.assignment_items import assignment_items_reassign # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReassignItemRequest(
    reviewer_pool_entry_uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = assignment_items_reassign.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReassignItemRequest
  2. API Source: assignment_items_reassign
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { assignmentItemsReassign } from 'waldur-js-client';

try {
  const response = await assignmentItemsReassign({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "reviewer_pool_entry_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
reviewer_pool_entry_uuid string (uuid) UUID of the pool entry for the new reviewer
manager_notes string Notes to include in the reassignment notification

200 -

Field Type
detail string
new_item_uuid string (uuid)
new_batch_uuid string (uuid)